Subject: Re: bug#59551: Failed to Build docker 20.10.17

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 25 Nov 2022 14:49:48 +0100

Hi,

Thanks for the report.

I've worked around the problem in guix master in commit 7e0ad0dd0f2829d6f3776648ba7c88acf9888d7a.
Please test by invoking guix pull and then trying again.

=====

For the record, I also tried to update docker instead and I get this error:

starting phase `build'

Removing bundles/

---> Making bundle: dynbinary (in bundles/dynbinary)
Building: bundles/dynbinary-daemon/dockerd-20.10.21-ce
GOOS="" GOARCH="" GOARM=""
# github.com/docker/docker/vendor/archive/tar
.gopath/src/github.com/docker/docker/vendor/archive/tar/common.go:541:32: undefined: any
.gopath/src/github.com/docker/docker/vendor/archive/tar/strconv.go:204:15: undefined: strings.Cut
.gopath/src/github.com/docker/docker/vendor/archive/tar/strconv.go:254:20: undefined: strings.Cut
.gopath/src/github.com/docker/docker/vendor/archive/tar/strconv.go:276:13: undefined: strings.Cut
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "hack/make.sh" arguments: ("dynbinary") exit-status: 2 term-signal: #f stop-signal: #f> 
phase `build' failed after 30.5 seconds
command "hack/make.sh" "dynbinary" failed with status 2

... with the attached patch. Hence I went downgrading xfsprogs instead of upgrading docker.

Author: Danny Milosavljevic <[email-masked]>
Date: 2022-11-25 14:43:00

diff --git a/gnu/packages/docker.scm b/gnu/packages/docker.scm
index 184280b38f..05cda2a38d 100644
--- a/gnu/packages/docker.scm
+++ b/gnu/packages/docker.scm
@@ -54,7 +54,7 @@ (define-module (gnu packages docker)
 
 ;; Note - when changing Docker versions it is important to update the versions
 ;; of several associated packages (docker-libnetwork and go-sctp).
-(define %docker-version "20.10.17")
+(define %docker-version "20.10.21")
 
 (define-public python-docker
   (package
@@ -257,7 +257,7 @@ (define docker-libnetwork
   ;; the branch that Docker uses, as can be seen in the 'vendor.conf' Docker
   ;; source file.  NOTE - It is important that this version is kept in sync
   ;; with the version of Docker being used.
-  (let ((commit "f6ccccb1c082a432c2a5814aaedaca56af33d9ea")
+  (let ((commit "0dde5c895075df6e3630e76f750a447cf63f4789")
         (version (version-major+minor %docker-version))
         (revision "1"))
     (package
@@ -272,7 +272,7 @@ (define docker-libnetwork
                 (file-name (git-file-name name version))
                 (sha256
                  (base32
-                  "0nxpr0h0smv4n641g41vxibr5r85ixfcvs9cp3c4fc7zvrhjc49s"))
+                  "1pl3n4pkzfvyz8a0ari8cc4r060vniqkdhf4acbqjvzbx6bsfnw5"))
                 ;; Delete bundled ("vendored") free software source code.
                 (modules '((guix build utils)))
                 (snippet '(delete-file-recursively "vendor"))))
@@ -323,7 +323,7 @@ (define-public docker
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0hn7fg717rggwk6dbicrwa7aglqp7dp0jp5rvn6p9gfcnrp2w97d"))))
+        (base32 "1gpi4559v1sghknayyp8vky6x9ac9xkjsmmqnw8nb6h4yn3h7ih5"))))
     (build-system gnu-build-system)
     (arguments
      (list
@@ -605,7 +605,7 @@ (define-public docker-cli
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0ksicj4iqvgp9jabd4xmhkf3vax6dwn4f5dsr73bdqj4mf3ahav0"))))
+        (base32 "1ksicj4iqvgp9jabd4xmhkf3vax6dwn4f5dsr73bdqj4mf3ahav0"))))
     (build-system go-build-system)
     (arguments
      `(#:import-path "github.com/docker/cli"